Bug 680781 - Aborts when SourceURL returns 404
Aborts when SourceURL returns 404
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-27 12:44 EST by Mamoru TASAKA
Modified: 2011-03-08 22:08 EST (History)
5 users (show)

See Also:
Fixed In Version: rpmlint-1.1-3.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-08 22:08:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2011-02-27 12:44:10 EST
Description of problem:
On the review request bug 679913, I noticed that rpmlint frequently
aborts when the source URL returns 404, like:

$ rpmlint ./ftop-1.0-2.fc16.src.rpm 
ftop.src: W: invalid-url Source0: http://ftop.googlecode.com/files/ftop-1.0.tar.bz2 HTTP Error 404: Not Found
0 packages and 0 specfiles checked; 0 errors, 1 warnings.
Traceback (most recent call last):
  File "/usr/bin/rpmlint", line 373, in <module>
    main()
  File "/usr/bin/rpmlint", line 168, in main
    runChecks(pkg)
  File "/usr/bin/rpmlint", line 228, in runChecks
    check.check(pkg)
  File "/usr/share/rpmlint/SpecCheck.py", line 142, in check
    self.check_spec(pkg, self._spec_file)
  File "/usr/share/rpmlint/SpecCheck.py", line 545, in check_spec
    clen = info.get("Content-Length")
AttributeError: 'NoneType' object has no attribute 'get'

Version-Release number of selected component (if applicable):
rpmlint-1.1-2.fc15.noarch

How reproducible:
60%, seems to be depending on the condition of remote (googlecode)
host.

Steps to Reproduce:
1. rpmlint ./ftop-1.0-2.fc16.src.rpm , the testcase now preserved
   on :
   http://mtasaka.fedorapeople.org/Bugfix/rpmlint/ftop-1.0-2.fc16.src.rpm
  
Actual results:
See above

Expected results:
rpmlint should not abort even if the source URL returns 404
Comment 1 Ville Skyttä 2011-02-27 13:13:28 EST
Already fixed in upstream post-1.1 svn:
http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1836
Comment 2 Fedora Update System 2011-03-03 12:22:43 EST
Package rpmlint-1.1-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.1-3.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/rpmlint-1.1-3.fc15
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2011-03-04 04:58:41 EST
rpmlint-1.1-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmlint'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/rpmlint-1.1-3.fc15
Comment 4 Fedora Update System 2011-03-08 22:08:52 EST
rpmlint-1.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.